## errorignore errorignore |

## Properties

GstFlowReturn | convert-to | Read / Write
gboolean | ignore-error | Read / Write
gboolean | ignore-notlinked | Read / Write
gboolean | ignore-notnegotiated | Read / Write

## Types and Values

struct | GstErrorIgnore

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstErrorIgnore

## Description

Passes through all packets, until it encounters GST_FLOW_ERROR or GST_FLOW_NOT_NEGOTIATED (configurable). At that point it will unref the buffers and return GST_FLOW_OK (configurable) - until the next READY_TO_PAUSED, RECONFIGURE or FLUSH_STOP.

#### Example launch line

    1
    gst-launch-1.0 videotestsrc ! errorignore ! autovideosink

## Synopsis

### Element Information

plugin | debugutilsbad
author | Vivia Nikolaidou <vivia@toolsonair.com>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstErrorIgnore

    struct GstErrorIgnore;

## Property Details

### The `“convert-to”` property

      “convert-to”               GstFlowReturn

Which GstFlowReturn value we should convert to when ignoring.

Flags: Read / Write

Default value: GST_FLOW_NOT_LINKED

### The `“ignore-error”` property

      “ignore-error”             gboolean

Whether to ignore GST_FLOW_ERROR.

Flags: Read / Write

Default value: TRUE

### The `“ignore-notlinked”` property

      “ignore-notlinked”         gboolean

Whether to ignore GST_FLOW_NOT_LINKED.

Flags: Read / Write

Default value: FALSE

### The `“ignore-notnegotiated”` property

      “ignore-notnegotiated”     gboolean

Whether to ignore GST_FLOW_NOT_NEGOTIATED.

Flags: Read / Write

Default value: TRUE